Page MenuHomePhabricator

Db-notability-* templates renamed
Open, LowPublic

Description

Per the discussion at en:Template talk:Db-notice:#Requested move 15 July 2020, the templates Template:Db-notability-notice-NPF and Template:Db-notability-notice have been moved to Template:Db-significance-notice-NPF and Template:Db-significance-notice. Per @DannyS712, this requires some changes to the page curation system.

Event Timeline

Restricted Application added a project: Growth-Team. · View Herald TranscriptAug 6 2020, 7:55 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Looks like someone needs to edit the files NewPagesFeed_Templates.xml and modules/ext.pageTriage.defaultDeletionTagsOptions/ext.pageTriage.defaultDeletionTagsOptions.js in the code repository mediawiki/extensions/PageTriage, as they include the string notability-notice.
If you are curious and interested in writing this software change, see https://www.mediawiki.org/wiki/Gerrit/Tutorial - thanks!

DannyS712 triaged this task as Low priority.Aug 6 2020, 8:10 PM
DannyS712 moved this task from Unsorted to Others on the User-DannyS712 board.
mdaniels5757 added a comment.EditedAug 9 2020, 6:30 PM

Actually, does this need an update? NewPagesFeed_Templates.xml is an export of enwiki's templates (that I can't figure out how to easily generate), and modules/ext.pageTriage.defaultDeletionTagsOptions/ext.pageTriage.defaultDeletionTagsOptions.js is based off of that. If we want to change the names, we should probably also export the tags again. Would it make more sense to just update https://en.wikipedia.org/wiki/MediaWiki:PageTriageExternalDeletionTagsOptions.js instead (I believe this would have to be done anyways)?

I've updated the .js file on enwiki - flag for revert if it broke anything, if this resolved this issue feel free to assign to me and mark closed

I've updated the .js file on enwiki - flag for revert if it broke anything, if this resolved this issue feel free to assign to me and mark closed

assuming this is https://en.wikipedia.org/w/index.php?title=MediaWiki:PageTriageExternalDeletionTagsOptions.js&diff=972035313&oldid=874921244
the stored version in the extension needs to be updated too though